// IPatrolPointService.java
package com.pm.patrol.service;

import java.util.List;
import java.util.Map;

import com.pm.common.config.PageData;

/**
 * 巡更点信息Service接口
 *
 * @author pm
 * @date 2025-06-03
 */
public interface IPatrolPointService {
    /**
     * 查询巡更点信息
     */
    public PageData selectPatrolPointById(Long id);

    /**
     * 查询巡更点列表
     */
    public List<PageData> selectPatrolPointList(PageData pd);

    /**
     * 新增巡更点
     */
    public int insertPatrolPoint(PageData pd);

    /**
     * 修改巡更点
     */
    public int updatePatrolPoint(PageData pd);

    /**
     * 批量删除巡更点
     */
    public int deletePatrolPointByIds(Long[] ids);

    /**
     * 删除巡更点信息
     */
    public int deletePatrolPointById(Long id);

    /**
     * 修改巡更点状态
     */
    public int updatePatrolPointStatus(PageData pd);
}




